Bug 109314 - Changing watermark doesn't update first page if the header for first page is different than the rest
Summary: Changing watermark doesn't update first page if the header for first page is ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.3.3 release
Hardware: All All
: medium normal
Assignee: Szymon Kłos
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1
Keywords: implementationError
Depends on:
Blocks:
 
Reported: 2017-07-24 16:08 UTC by Aron Budea
Modified: 2017-08-10 14:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-07-24 16:08:15 UTC
- In a new document, add a page break.
- On the second page, add header, format it and untick "Same content on first page"
- Click outside header (to avoid bug 109313), and do either of the following:
  * add watermark via Format -> Watermark...
  * enable toolbar TSCP Classification, and select Internal Only from Intellectual Property dropdown (this also adds a watermark).

=> No watermark inserted on first page.

If the watermark is first inserted before unticking "Same content on first page" header setting, and is afterwards changed, then on the first page still the old watermark is shown.

Reproduced using 6.0 master build, 5.4.0.3, 5.2.3.3 / Ubuntu 17.04.
Comment 1 Xisco Faulí 2017-07-27 16:43:38 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/40501/
Comment 2 Commit Notification 2017-07-28 08:08:25 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6698b9fd558ab48f2314b4ce3170175acade9b4

tdf#109314 the same Watermark for first page

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Aron Budea 2017-07-28 13:26:08 UTC
Fixed now. Thanks, Szymon!
Comment 4 Commit Notification 2017-08-10 14:07:46 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70507e238b99d600229554989013a872b329fee0&h=libreoffice-5-4

tdf#109314 the same Watermark for first page

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.